package ifresco.fcpro.client;

import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;
import javax.net.ssl.X509TrustManager;

/**
 * Accepts any SSL certificate from any server.
 *
 * @since 1.0
 */
public class AnyTrustManager implements X509TrustManager {

    /**
     * Does nothing.
     *
     * @param chain the certificate chain
     * @param authType the authentication type
     * @throws CertificateException never thrown
     */
    @Override
    public void checkClientTrusted(X509Certificate[] chain, String authType)
            throws CertificateException {
        // Oh, I am easy!
    }

    /**
     * Does nothing.
     *
     * @param chain the certificate chain
     * @param authType the authentication type
     * @throws CertificateException never thrown
     */
    @Override
    public void checkServerTrusted(X509Certificate[] chain, String authType)
            throws CertificateException {
        // Oh, I am easy!
    }

    /**
     * Always returns {@code null}.
     *
     * @return always null
     */
    @Override
    public X509Certificate[] getAcceptedIssuers() {
        return null;
    }

};
