package ifresco.fcpro.client;

import java.io.IOException;
import java.security.cert.X509Certificate;
import javax.net.ssl.SSLException;
import javax.net.ssl.SSLSession;
import javax.net.ssl.SSLSocket;
import org.apache.http.conn.ssl.X509HostnameVerifier;

/**
 * Accepts any host names in certificates.
 *
 * @since 1.0
 */
public class AnyHostnameVerifier implements X509HostnameVerifier {

    /**
     * Always returns {@code true}.
     *
     * @param hostname the hostname
     * @param session the SSL session
     * @return always {@code true}
     */
    @Override
    public boolean verify(String hostname, SSLSession session) {
        return true;
    }

    @Override
    public void verify(String host, SSLSocket ssl) throws IOException {

    }

    @Override
    public void verify(String host, X509Certificate cert) throws SSLException {

    }

    @Override
    public void verify(String host, String[] cns, String[] subjectAlts)
            throws SSLException {

    }
};
