package ifresco.fcpro.client;

/**
 * Models an Fcpro Enum Jobs Result.
 *
 * @since 1.0
 */
public class FCproEnumJobsResult {

    private int jobEnumID;
    private int pageSize;
    private int pagesCount;
    private int totalJobs;

    /**
     * Getter.
     *
     * @return the job enum ID
     */
    public int getJobEnumID() {
        return jobEnumID;
    }

    /**
     * Setter.
     *
     * @param jobEnumID the job enum ID
     */
    public void setJobEnumID(int jobEnumID) {
        this.jobEnumID = jobEnumID;
    }

    /**
     * Getter.
     *
     * @return the page size
     */
    public int getPageSize() {
        return pageSize;
    }

    /**
     * Setter.
     *
     * @param pageSize the page size
     */
    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    /**
     * Getter.
     *
     * @return the pages count
     */
    public int getPagesCount() {
        return pagesCount;
    }

    /**
     * Setter.
     *
     * @param pagesCount the pages count
     */
    public void setPagesCount(int pagesCount) {
        this.pagesCount = pagesCount;
    }

    /**
     * Getter.
     *
     * @return the jobs total
     */
    public int getTotalJobs() {
        return totalJobs;
    }

    /**
     * Setter.
     *
     * @param totalJobs the jobs total
     */
    public void setTotalJobs(int totalJobs) {
        this.totalJobs = totalJobs;
    }

    @Override
    public String toString() {
        return "FCproEnumJobsResult{" + "jobEnumID=" + jobEnumID + ", pageSize=" + pageSize + ", pagesCount=" + pagesCount + ", totalJobs=" + totalJobs + '}';
    }

}
