package ifresco.fcpro.client;

/**
 * Models an FCpro user.
 *
 * @since 1.0
 */
public class FCproUser {

    private String userName;
    private int permissions;

    /**
     * Empty default constructor.
     */
    public FCproUser() {
    }

    /**
     * Constructor with user name.
     *
     * @param userName the user name
     */
    public FCproUser(String userName) {
        this.userName = userName;
    }

    /**
     * Getter.
     *
     * @return the permissions
     */
    public int getPermissions() {
        return permissions;
    }

    /**
     * Setter.
     *
     * @param permissions the permissions
     */
    public void setPermissions(int permissions) {
        this.permissions = permissions;
    }

    /**
     * Getter.
     *
     * @return the user name
     */
    public String getUserName() {
        return userName;
    }

    /**
     * Setter.
     *
     * @param userName the user name
     */
    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Override
    public String toString() {
        return "FCproUser{" + "userName=" + userName + ", permissions=" + permissions + '}';
    }

}
